package com.bonus.sgzb.app.service;

import java.util.List;
import com.bonus.sgzb.base.api.domain.TmTask;

/**
 * Description: 任务表Task
 * @Author 阮世耀
 * @Create 2023/12/13 15:14
 * @Version 1.0
 */

public interface TmTaskService{

    String genderLeaseCode();

    int deleteByPrimaryKey(Long taskId);

    int createTask(TmTask record);

    int insertOrUpdate(TmTask record);

    int insertOrUpdateSelective(TmTask record);

    int insertSelective(TmTask record);

    TmTask selectByPrimaryKey(Long taskId);

    int updateByPrimaryKeySelective(TmTask record);

    int updateByPrimaryKey(TmTask record);

    int updateBatch(List<TmTask> list);

    int updateBatchSelective(List<TmTask> list);

    int batchInsert(List<TmTask> list);

}
